#include <stdio.h>
#include <stdlib.h>

int main()
{
    int k, n,kljuc, resenje;
    scanf("%d%d",&n,&k);
    int niz[n];
    for(int i = 0 ; i < n ; i++){
        niz[i] = 0;
    }
    for(int i = 0 ; i < n ; i++){
        int x;
        scanf("%d",&x);
        niz[i] = x;
    }
    for(int i = 0 ; i < n ; i++){
        if(niz[i]== k)
            kljuc = i;
    }
    if(niz[kljuc+1] != 0){
            printf("%d",niz[kljuc+1]);
    }
    else
        printf("%d",niz[0]);

    return 0;
}